[jruby-jars gem] lib/jruby-jars.rb not same as source, and fails to load "jruby-jars/version" #959

Closed
donv opened this Issue Aug 18, 2013 · 3 comments

Projects

None yet

3 participants

@donv
Member
donv commented Aug 18, 2013

Hi!

Looking inside the new jruby-jars gem, the content of lib/jruby-jars.rb is not the same in the gem as in the source repository.

The version distributed in the gem is updated with the new jar names, but does not require jruby-jars/version.

This is a major api change I think we should reverse. JRubyJars::VERSION should be available after the gem has been loaded.

@mkristian
Member

added the VERSION back in commit 4932a84

let me know if I missed something else ;)

@mkristian mkristian was assigned Aug 21, 2013
@BanzaiMan
Member

@donv Could you verify this?

@donv
Member
donv commented Sep 20, 2013

Hi @mkristian && @BanzaiMan !

This looks OK now. Closing.

@donv donv closed this Sep 20, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment